## krdc 22.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set (RELEASE_SERVICE_VERSION_MAJOR "22")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")

set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(krdc VERSION ${RELEASE_SERVICE_VERSION})

set (QT_MIN_VERSION "5.15.2")
set (KF5_MIN_VERSION "5.90.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    KCMUtils
    DNSSD
    NotifyConfig
    Notifications
    Bookmarks
    IconThemes
    XmlGui
    Completion
    Wallet
    WidgetsAddons
    WindowSystem
    NotifyConfig
    I18n
)

find_package(KF5 ${KF5_MIN_VERSION} OPTIONAL_COMPONENTS Activities)
set_package_properties(KF5Activities PROPERTIES DESCRIPTION "KActivities libraries"
                       URL "https://www.kde.org"
                       TYPE OPTIONAL
                       PURPOSE "For tracking which remote desktops are frequently accessed"
                      )
if (KF5Activities_FOUND)
    set(HAVE_KACTIVITIES TRUE)
endif()

find_package(KF5DocTools)

# use sane compile flags
add_definitions(
  -DQT_USE_QSTRINGBUILDER
  -DQT_NO_CAST_TO_ASCII
  -DQT_NO_CAST_FROM_ASCII
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_FROM_BYTEARRAY
  -DQT_NO_KEYWORDS
  -DQT_NO_FOREACH
)
ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX KRDC
    SOVERSION 5
    VERSION_HEADER krdc_version.h
)

if(WIN32)
    set(CMAKE_REQUIRED_LIBRARIES ${KDEWIN32_LIBRARIES})
    set(CMAKE_REQUIRED_INCLUDES  ${KDEWIN32_INCLUDES})
endif(WIN32)

option(WITH_VNC "Enable VNC support." ON)
add_feature_info(VNC WITH_VNC "Building with support for the VNC protocol. Disable with -DWITH_VNC=NO")
option(WITH_RDP "Enable RDP support. Has additional runtime binary requirements!" ON)
add_feature_info(RDP WITH_RDP "Building with support for the RDP protocol. Disable with -DWITH_RDP=NO")

add_subdirectory(core)

if(WITH_VNC)
    find_package(LibVNCServer)
    set_package_properties(LibVNCServer PROPERTIES
        DESCRIPTION "VNC server / client library"
        URL "http://libvncserver.sourceforge.net/"
        PURPOSE "Needed to build VNC client support in KRDC"
        TYPE REQUIRED
    )

    find_package(LibSSH)
    set_package_properties(LibSSH PROPERTIES
        DESCRIPTION "ssh library"
        URL "https://libssh.org/"
        PURPOSE "Needed to build VNC+SSH tunnel support "
        TYPE OPTIONAL
    )
    add_subdirectory(vnc)
endif()

if(WITH_RDP)
    find_package(xfreerdp)
    set_package_properties(xfreerdp PROPERTIES
        DESCRIPTION "A free Remote Desktop Protocol (RDP) Implementation"
        URL "https://www.freerdp.com/"
        PURPOSE "The xfreerdp binary is needed for RDP support in KRDC (at runtime)"
        TYPE RUNTIME
    )
    add_subdirectory(rdp)
endif()

add_subdirectory(test)

if(KF5DocTools_FOUND)
    add_subdirectory(doc)
else()
    message("KF5DocTools not found. Not building documentation.")
endif()


add_executable(krdc)

target_compile_definitions(krdc PRIVATE -DBUILD_ZEROCONF)

configure_file(config-kactivities.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kactivities.h)

target_sources(krdc PRIVATE
    config/hostpreferenceslist.cpp
    config/preferencesdialog.cpp
    floatingtoolbar.cpp
    bookmarkmanager.cpp
    connectiondelegate.cpp
    remotedesktopsmodel.cpp
    systemtrayicon.cpp
    tabbedviewwidget.cpp
    factorwidget.cpp
    mainwindow.cpp
    main.cpp

    krdc.qrc
)

ki18n_wrap_ui(krdc
    config/general.ui
)

ecm_qt_declare_logging_category(krdc
    HEADER krdc_debug.h
    IDENTIFIER KRDC
    CATEGORY_NAME KRDC
    DESCRIPTION "KRDC"
    EXPORT KRDC
)

target_link_libraries(krdc
    KF5::ConfigCore
    KF5::KCMUtils
    KF5::DNSSD
    KF5::NotifyConfig
    KF5::Bookmarks
    KF5::IconThemes
    KF5::XmlGui
    KF5::Completion
    KF5::WidgetsAddons
    KF5::NotifyConfig
    KF5::Notifications
    krdccore
)

if (KF5Activities_FOUND)
    target_link_libraries(krdc KF5::Activities)
endif()

install(TARGETS krdc ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.krdc.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.krdc.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ki18n_install(po)
if(KF5DocTools_FOUND)
    kdoctools_install(po)
endif()

ecm_qt_install_logging_categories(
    EXPORT KRDC
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== core/CMakeLists.txt ===
include(GenerateExportHeader)

add_library(krdccore SHARED)
set_target_properties(krdccore PROPERTIES
    VERSION   ${KRDC_VERSION}
    SOVERSION ${KRDC_SOVERSION}
)

target_sources(krdccore PRIVATE
    remoteviewfactory.cpp
    remoteview.cpp
    hostpreferences.cpp
)

kconfig_add_kcfg_files(krdccore settings.kcfgc)

ecm_qt_declare_logging_category(krdccore
    HEADER krdc_debug.h
    IDENTIFIER KRDC
    CATEGORY_NAME KRDC
)

generate_export_header(krdccore BASE_NAME krdccore)

target_link_libraries(krdccore
    Qt::Core
    KF5::Wallet
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::WidgetsAddons
    KF5::I18n
    KF5::ConfigGui
    KF5::Completion
    Qt::Gui
    Qt::Widgets)

install(TARGETS krdccore ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

# Install headers
set(krdccore_HDRS
    remoteviewfactory.h
    remoteview.h
    hostpreferences.h
)

install(FILES ${krdccore_HDRS} DESTINATION ${KDE_INSTALL_INCLUDEDIR}/krdc COMPONENT Devel)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/krdccore_export.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel)
install(FILES krdc.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

=== debian/changelog ===
krdc (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:58 +0100

krdc (4:22.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Remove inactive Uploaders.
  * CI: enable again blhc, as it works fine now with blhc 0.13.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Drop patch fix_kfreebsd_ftbfs: never upstreamed, and kFreeBSD has not been
    exactly up-to-date for few years already.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 10:18:31 +0100

krdc (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:38:54 +0100

krdc (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:51 +0100

krdc (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:02 +0100

krdc (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 07 Mar 2022 23:12:05 +0100

=== debian/control ===
Source: krdc
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.90.0~),
               freerdp2-x11,
               gettext,
               libkf5bookmarks-dev (>= 5.90.0~),
               libkf5completion-dev (>= 5.90.0~),
               libkf5config-dev (>= 5.90.0~),
               libkf5dnssd-dev (>= 5.90.0~),
               libkf5doctools-dev,
               libkf5i18n-dev (>= 5.90.0~),
               libkf5iconthemes-dev (>= 5.90.0~),
               libkf5kcmutils-dev (>= 5.90.0~),
               libkf5notifications-dev (>= 5.90.0~),
               libkf5notifyconfig-dev (>= 5.90.0~),
               libkf5wallet-dev (>= 5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               libkf5windowsystem-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libssh-dev,
               libvncserver-dev (>= 0.9.8.1),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/krdc
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krdc
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krdc.git

Package: krdc
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: freerdp2-x11,
Suggests: freerdp2-wayland [linux-any], khelpcenter, krfb,
Description: Remote Desktop Connection client
 The KDE Remote Desktop Connection client can view and control a desktop
 session running on another system.  It can connect to Windows Terminal Servers
 using RDP and many other platforms using VNC/RFB.
 .
 This package is part of the KDE networking module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DHAVE_XFREERDP=true

execute_after_dh_auto_install:
	# Drop development files
	rm -rf debian/krdc/usr/include/
	find debian/krdc -name '*.so' -type l -delete

## krdc 23.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,17 @@
 cmake_minimum_required(VERSION 3.16)
 
-set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "23")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(krdc VERSION ${RELEASE_SERVICE_VERSION})
 
 set (QT_MIN_VERSION "5.15.2")
-set (KF5_MIN_VERSION "5.90.0")
+set (KF_MIN_VERSION "5.91.0")
 
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
@@ -20,10 +20,11 @@
 include(ECMSetupVersion)
 include(ECMQtDeclareLoggingCategory)
 include(FeatureSummary)
+include(ECMDeprecationSettings)
 
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core)
 
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Config
     KCMUtils
     DNSSD
@@ -40,17 +41,17 @@
     I18n
 )
 
-find_package(KF5 ${KF5_MIN_VERSION} OPTIONAL_COMPONENTS Activities)
-set_package_properties(KF5Activities PROPERTIES DESCRIPTION "KActivities libraries"
+find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} OPTIONAL_COMPONENTS Activities)
+set_package_properties(KF${QT_MAJOR_VERSION}Activities PROPERTIES DESCRIPTION "KActivities libraries"
                        URL "https://www.kde.org"
                        TYPE OPTIONAL
                        PURPOSE "For tracking which remote desktops are frequently accessed"
                       )
-if (KF5Activities_FOUND)
+if (KF${QT_MAJOR_VERSION}Activities_FOUND)
     set(HAVE_KACTIVITIES TRUE)
 endif()
 
-find_package(KF5DocTools)
+find_package(KF${QT_MAJOR_VERSION}DocTools)
 
 # use sane compile flags
 add_definitions(
@@ -78,6 +79,11 @@
 add_feature_info(VNC WITH_VNC "Building with support for the VNC protocol. Disable with -DWITH_VNC=NO")
 option(WITH_RDP "Enable RDP support. Has additional runtime binary requirements!" ON)
 add_feature_info(RDP WITH_RDP "Building with support for the RDP protocol. Disable with -DWITH_RDP=NO")
+
+ecm_set_disabled_deprecation_versions(QT 5.15.2
+     KF 5.102.0
+    )
+
 
 add_subdirectory(core)
 
@@ -113,10 +119,10 @@
 
 add_subdirectory(test)
 
-if(KF5DocTools_FOUND)
+if(KF${QT_MAJOR_VERSION}DocTools_FOUND)
     add_subdirectory(doc)
 else()
-    message("KF5DocTools not found. Not building documentation.")
+    message("KF${QT_MAJOR_VERSION}DocTools not found. Not building documentation.")
 endif()
 
 
@@ -155,22 +161,22 @@
 )
 
 target_link_libraries(krdc
-    KF5::ConfigCore
-    KF5::KCMUtils
-    KF5::DNSSD
-    KF5::NotifyConfig
-    KF5::Bookmarks
-    KF5::IconThemes
-    KF5::XmlGui
-    KF5::Completion
-    KF5::WidgetsAddons
-    KF5::NotifyConfig
-    KF5::Notifications
+    KF${QT_MAJOR_VERSION}::ConfigCore
+    KF${QT_MAJOR_VERSION}::KCMUtils
+    KF${QT_MAJOR_VERSION}::DNSSD
+    KF${QT_MAJOR_VERSION}::NotifyConfig
+    KF${QT_MAJOR_VERSION}::Bookmarks
+    KF${QT_MAJOR_VERSION}::IconThemes
+    KF${QT_MAJOR_VERSION}::XmlGui
+    KF${QT_MAJOR_VERSION}::Completion
+    KF${QT_MAJOR_VERSION}::WidgetsAddons
+    KF${QT_MAJOR_VERSION}::NotifyConfig
+    KF${QT_MAJOR_VERSION}::Notifications
     krdccore
 )
 
-if (KF5Activities_FOUND)
-    target_link_libraries(krdc KF5::Activities)
+if (KF${QT_MAJOR_VERSION}Activities_FOUND)
+    target_link_libraries(krdc KF${QT_MAJOR_VERSION}::Activities)
 endif()
 
 install(TARGETS krdc ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
@@ -178,7 +184,7 @@
 install(FILES org.kde.krdc.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 ki18n_install(po)
-if(KF5DocTools_FOUND)
+if(KF${QT_MAJOR_VERSION}DocTools_FOUND)
     kdoctools_install(po)
 endif()

=== debian/changelog ===
krdc (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:58:35 +0100

krdc (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:38:05 +0100

krdc (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:52:35 +0100

krdc (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:59:39 +0100

krdc (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:42:13 +0000

krdc (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:23:19 -0600

krdc (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)
  * Add optional build dep on libkf5activities-dev. 'For tracking which
    remote desktops are frequently accessed'.

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:18:01 +0000

krdc (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Dec 2022 15:20:38 +0000

krdc (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:13:42 +0000

krdc (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:09:56 +0000

krdc (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Optional build dep on libkf5activities-dev

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:53:06 +0000

krdc (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:12:57 +0000

## krdc 23.08.1

=== debian/changelog ===
krdc (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:03:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: krdc
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
+           Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               dh-sequence-kf5,
                extra-cmake-modules (>= 5.90.0~),
                freerdp2-x11,
                gettext,
+               libkf5activities-dev (>= 5.90.0~),
                libkf5bookmarks-dev (>= 5.90.0~),
                libkf5completion-dev (>= 5.90.0~),
                libkf5config-dev (>= 5.90.0~),
@@ -25,19 +28,20 @@
                libkf5xmlgui-dev (>= 5.90.0~),
                libssh-dev,
                libvncserver-dev (>= 0.9.8.1),
+               pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/krdc
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krdc
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krdc.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdc
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdc
 
 Package: krdc
 Section: net
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Recommends: freerdp2-x11,
-Suggests: freerdp2-wayland [linux-any], khelpcenter, krfb,
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: freerdp2-x11
+Suggests: freerdp2-wayland [linux-any], khelpcenter, krfb
 Description: Remote Desktop Connection client
  The KDE Remote Desktop Connection client can view and control a desktop
  session running on another system.  It can connect to Windows Terminal Servers

## krdc 23.08.4

=== debian/changelog ===
krdc (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:19:45 +0000

krdc (4:23.08.3-1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Sun, 03 Dec 2023 09:05:39 +0000

krdc (4:23.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.2).
  * Update build-deps with info from cmake.
  * Remove nonexistent path from d/copyright.
  * New upstream release (23.08.3).

 -- Jesse Rhodes <jesse@sney.ca>  Tue, 21 Nov 2023 15:21:50 -0500

krdc (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:39:55 +0000

krdc (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:35:43 +0100

## krdc 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set (RELEASE_SERVICE_VERSION_MAJOR "23")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "5")
 
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== rdp/CMakeLists.txt ===
add_library(krdc_rdpplugin)

target_sources(krdc_rdpplugin PRIVATE
    rdphostpreferences.cpp
    rdpviewfactory.cpp
    rdpview.cpp
)

ki18n_wrap_ui(krdc_rdpplugin
    rdppreferences.ui
)

ecm_qt_declare_logging_category(krdc_rdpplugin
    HEADER krdc_debug.h
    IDENTIFIER KRDC
    CATEGORY_NAME KRDC
)

target_link_libraries(krdc_rdpplugin
    Qt::Core
    Qt::Gui
    KF${QT_MAJOR_VERSION}::ConfigCore
    KF${QT_MAJOR_VERSION}::CoreAddons
    KF${QT_MAJOR_VERSION}::WindowSystem
    KF${QT_MAJOR_VERSION}::XmlGui
    krdccore
)

if(QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(krdc_rdpplugin KF6::KCMUtils)
endif()

add_library(kcm_krdc_rdpplugin)

target_sources(kcm_krdc_rdpplugin PRIVATE
    rdppreferences.cpp
)

target_link_libraries(kcm_krdc_rdpplugin
    Qt::Core
    Qt::Gui
    KF${QT_MAJOR_VERSION}::Wallet
    KF${QT_MAJOR_VERSION}::ConfigCore
    KF${QT_MAJOR_VERSION}::CoreAddons
    KF${QT_MAJOR_VERSION}::XmlGui
    krdccore
)

if(QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(kcm_krdc_rdpplugin KF6::KCMUtils)
endif()

add_dependencies(kcm_krdc_rdpplugin krdc_rdpplugin)

install(TARGETS kcm_krdc_rdpplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/krdc/kcms)
install(TARGETS krdc_rdpplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/krdc)

install(FILES smb2rdc.desktop DESTINATION ${KDE_INSTALL_DATADIR}/kio/servicemenus)

=== debian/changelog ===
krdc (4:23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5gui5t64,
    libqt5widgets5t64, libqt5xml5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:43:29 +0200

krdc (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:08:50 +0000

krdc (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:16:43 +0000

krdc (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:14:49 -0700

=== debian/control ===
Source: krdc
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.91.0~),
               freerdp2-x11,
               gettext,
               libkf5bookmarks-dev (>= 5.91.0~),
               libkf5completion-dev (>= 5.91.0~),
               libkf5config-dev (>= 5.91.0~),
               libkf5dnssd-dev (>= 5.91.0~),
               libkf5doctools-dev (>= 5.91.0~),
               libkf5i18n-dev (>= 5.91.0~),
               libkf5iconthemes-dev (>= 5.91.0~),
               libkf5kcmutils-dev (>= 5.91.0~),
               libkf5notifications-dev (>= 5.91.0~),
               libkf5notifyconfig-dev (>= 5.91.0~),
               libkf5wallet-dev (>= 5.91.0~),
               libkf5widgetsaddons-dev (>= 5.91.0~),
               libkf5windowsystem-dev (>= 5.91.0~),
               libkf5xmlgui-dev (>= 5.91.0~),
               libssh-dev,
               libvncserver-dev (>= 0.9.8.1),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/krdc
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdc
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdc

Package: krdc
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: freerdp2-x11,
Suggests: freerdp2-wayland [linux-any], khelpcenter, krfb,
Description: Remote Desktop Connection client
 The KDE Remote Desktop Connection client can view and control a desktop
 session running on another system.  It can connect to Windows Terminal Servers
 using RDP and many other platforms using VNC/RFB.
 .
 This package is part of the KDE networking module.

## krdc 24.08.2

=== debian/changelog ===
krdc (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Oct 2024 19:54:04 +0000

krdc (4:24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Switch to kf6 debhelper build sequence.
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 17:53:28 +0200

=== debian/control ===
Source: krdc
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               freerdp2-dev,
               gettext,
               libkf6bookmarks-dev (>= 6.0.0~),
               libkf6completion-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6dnssd-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6kcmutils-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6notifications-dev (>= 6.0.0~),
               libkf6notifyconfig-dev (>= 6.0.0~),
               libkf6statusnotifieritem-dev (>= 6.0.0~),
               libkf6wallet-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libplasmaactivities-dev,
               libssh-dev,
               libvncserver-dev (>= 0.9.8.1),
               pkgconf,
               qt6-base-dev (>= 6.6.0~),
               qt6-wayland-dev (>= 6.6.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/krdc
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdc
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdc

Package: krdc
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: freerdp2-x11,
Suggests: freerdp2-wayland [linux-any], khelpcenter, krfb,
Description: Remote Desktop Connection client
 The KDE Remote Desktop Connection client can view and control a desktop
 session running on another system.  It can connect to Windows Terminal Servers
 using RDP and many other platforms using VNC/RFB.
 .
 This package is part of the KDE networking module.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -Skf5 -- -DHAVE_XFREERDP=true
+	dh_auto_configure -- -DHAVE_XFREERDP=true
 
 execute_after_dh_auto_install:
 	# Drop development files

## krdc 25.03.70~git20241215.3813c8f7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "03")
set (RELEASE_SERVICE_VERSION_MICRO "70")

set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(krdc VERSION ${RELEASE_SERVICE_VERSION})

set (QT_MIN_VERSION "6.6.0")
set (KF_MIN_VERSION "6.0.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)
include(ECMDeprecationSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core)

if (UNIX AND NOT APPLE AND NOT ANDROID)
    find_package(Qt6WaylandClient ${QT_MIN_VERSION} CONFIG)
    set(HAVE_WAYLAND ${Qt6WaylandClient_FOUND})
endif()

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Config
    KCMUtils
    DNSSD
    NotifyConfig
    Notifications
    Bookmarks
    IconThemes
    XmlGui
    Completion
    Wallet
    WidgetsAddons
    WindowSystem
    NotifyConfig
    I18n
    KIO
    Crash
)

find_package(KF6StatusNotifierItem ${KF_MIN_VERSION} REQUIRED)

find_package(PlasmaActivities)
set_package_properties(PlasmaActivities PROPERTIES DESCRIPTION "KActivities libraries"
                    URL "https://www.kde.org"
                    TYPE OPTIONAL
                    PURPOSE "For tracking which remote desktops are frequently accessed"
                    )
if (PlasmaActivities_FOUND)
    set(HAVE_KACTIVITIES TRUE)
endif()
find_package(KF6DocTools)

find_package(Threads REQUIRED)

# use sane compile flags
add_definitions(
  -DQT_USE_QSTRINGBUILDER
  -DQT_NO_CAST_TO_ASCII
  -DQT_NO_CAST_FROM_ASCII
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_FROM_BYTEARRAY
  -DQT_NO_KEYWORDS
  -DQT_NO_FOREACH
)
ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX KRDC
    SOVERSION 5
    VERSION_HEADER krdc_version.h
)

if(WIN32)
    set(CMAKE_REQUIRED_LIBRARIES ${KDEWIN32_LIBRARIES})
    set(CMAKE_REQUIRED_INCLUDES  ${KDEWIN32_INCLUDES})
endif(WIN32)

option(WITH_VNC "Enable VNC support." ON)
add_feature_info(VNC WITH_VNC "Building with support for the VNC protocol. Disable with -DWITH_VNC=NO")
option(WITH_RDP "Enable RDP support using FreeRDP version 2" ON)
add_feature_info(RDP WITH_RDP "Building with support for the RDP protocol. Disable with -DWITH_RDP=NO")
option(WITH_RDP3 "Enable RDP support using FreeRDP version 3" OFF)
add_feature_info(RDP WITH_RDP "Building with support for the RDP protocol. Enable with -DWITH_RDP3=YES")

ecm_set_disabled_deprecation_versions(QT 5.15.2
     KF 6.5.0
    )


set(CMAKE_CXX_STANDARD 20)

add_subdirectory(core)

if(WITH_VNC)
    find_package(PkgConfig REQUIRED)
    pkg_check_modules(VNCCLIENT libvncclient REQUIRED IMPORTED_TARGET)

    find_package(LibSSH)
    set_package_properties(LibSSH PROPERTIES
        DESCRIPTION "ssh library"
        URL "https://libssh.org/"
        PURPOSE "Needed to build VNC+SSH tunnel support "
        TYPE OPTIONAL
    )
    add_subdirectory(vnc)
endif()

if(WITH_RDP)
    find_package(FreeRDP 2.10)
    set_package_properties(FreeRDP PROPERTIES
        DESCRIPTION "A free Remote Desktop Protocol (RDP) Implementation"
        URL "https://www.freerdp.com/"
        PURPOSE "FreeRDP provides RDP support"
        TYPE REQUIRED
    )
    find_package(WinPR 2.10)
    set_package_properties(WinPR PROPERTIES
        DESCRIPTION "Windows Portable Runtime"
        URL "https://www.freerdp.com/"
        PURPOSE "Runtime used by FreeRDP"
        TYPE REQUIRED
    )
    find_package(FreeRDP-Client 2.10)
    set_package_properties(FreeRDP-Client PROPERTIES
        DESCRIPTION "A free Remote Desktop Protocol (RDP) Implementation, Client libraries"
        URL "https://www.freerdp.com/"
        PURPOSE "FreeRDP provides RDP support"
        TYPE REQUIRED
    )
    add_subdirectory(rdp)
elseif(WITH_RDP3)
    find_package(FreeRDP 3)
    set_package_properties(FreeRDP PROPERTIES
        DESCRIPTION "A free Remote Desktop Protocol (RDP) Implementation"
        URL "https://www.freerdp.com/"
        PURPOSE "FreeRDP provides RDP support"
        TYPE REQUIRED
    )
    find_package(WinPR 3)
    set_package_properties(WinPR PROPERTIES
        DESCRIPTION "Windows Portable Runtime"
        URL "https://www.freerdp.com/"
        PURPOSE "Runtime used by FreeRDP"
        TYPE REQUIRED
    )
    find_package(FreeRDP-Client 3)
    set_package_properties(FreeRDP-Client PROPERTIES
        DESCRIPTION "A free Remote Desktop Protocol (RDP) Implementation, Client libraries"
        URL "https://www.freerdp.com/"
        PURPOSE "FreeRDP provides RDP support"
        TYPE REQUIRED
    )
    add_subdirectory(rdp)
endif()

add_subdirectory(test)

if(KF6DocTools_FOUND)
    add_subdirectory(doc)
else()
    message("KF6DocTools not found. Not building documentation.")
endif()


add_executable(krdc)

target_compile_definitions(krdc PRIVATE -DBUILD_ZEROCONF)

configure_file(config-kactivities.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kactivities.h)

target_sources(krdc PRIVATE
    config/hostpreferenceslist.cpp
    config/preferencesdialog.cpp
    floatingtoolbar.cpp
    bookmarkmanager.cpp
    connectiondelegate.cpp
    remotedesktopsmodel.cpp
    systemtrayicon.cpp
    tabbedviewwidget.cpp
    factorwidget.cpp
    mainwindow.cpp
    main.cpp

    krdc.qrc
)

ki18n_wrap_ui(krdc
    config/general.ui
)

ecm_qt_declare_logging_category(krdc
    HEADER krdc_debug.h
    IDENTIFIER KRDC
    CATEGORY_NAME KRDC
    DESCRIPTION "KRDC"
    EXPORT KRDC
    DEFAULT_SEVERITY Warning
)

target_link_libraries(krdc
    KF6::ConfigCore
    KF6::KCMUtils
    KF6::DNSSD
    KF6::NotifyConfig
    KF6::Bookmarks
    KF6::IconThemes
    KF6::XmlGui
    KF6::Completion
    KF6::WidgetsAddons
    KF6::NotifyConfig
    KF6::Notifications
    KF6::Crash
    krdccore
)

    target_link_libraries(krdc KF6::StatusNotifierItem KF6::BookmarksWidgets)

if (HAVE_KACTIVITIES)
    target_link_libraries(krdc Plasma::Activities)
endif()

install(TARGETS krdc ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.krdc.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.krdc.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

find_package(SharedMimeInfo)
if(SharedMimeInfo_FOUND)
    install(FILES org.kde.krdc-mime.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
    update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})
endif()

ki18n_install(po)
if(KF6DocTools_FOUND)
    kdoctools_install(po)
endif()

ecm_qt_install_logging_categories(
    EXPORT KRDC
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
krdc (4:25.03.70~git20241215.3813c8f7-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream git shapshot with support for FreeRDP 3
  * Update build-deps and deps with the info from cmake.
  * Build against FreeRDP 3. (Closes: #1081527)
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 17 Dec 2024 08:19:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: krdc
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.0.0~),
-               freerdp2-dev,
+               freerdp3-dev,
                gettext,
                libkf6bookmarks-dev (>= 6.0.0~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
+               libkf6crash-dev (>= 6.0.0~),
                libkf6dnssd-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
                libkf6iconthemes-dev (>= 6.0.0~),
@@ -34,15 +34,15 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/krdc
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdc
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdc
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krdc
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krdc.git
 
 Package: krdc
 Section: net
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Recommends: freerdp2-x11,
-Suggests: freerdp2-wayland [linux-any], khelpcenter, krfb,
+Recommends: freerdp3-wayland | freerdp3-x11,
+Suggests: khelpcenter, krfb,
 Description: Remote Desktop Connection client
  The KDE Remote Desktop Connection client can view and control a desktop
  session running on another system.  It can connect to Windows Terminal Servers

## krdc 25.03.70~git20250114.786409a6

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,7 @@
 include(ECMDeprecationSettings)
 include(KDEClangFormat)
 include(KDEGitCommitHooks)
+include(ECMInstallIcons)
 
 find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core)
 
@@ -89,10 +90,8 @@
 
 option(WITH_VNC "Enable VNC support." ON)
 add_feature_info(VNC WITH_VNC "Building with support for the VNC protocol. Disable with -DWITH_VNC=NO")
-option(WITH_RDP "Enable RDP support using FreeRDP version 2" ON)
+option(WITH_RDP "Enable RDP support using FreeRDP" ON)
 add_feature_info(RDP WITH_RDP "Building with support for the RDP protocol. Disable with -DWITH_RDP=NO")
-option(WITH_RDP3 "Enable RDP support using FreeRDP version 3" OFF)
-add_feature_info(RDP WITH_RDP "Building with support for the RDP protocol. Enable with -DWITH_RDP3=YES")
 
 ecm_set_disabled_deprecation_versions(QT 5.15.2
      KF 6.5.0
@@ -118,50 +117,49 @@
 endif()
 
 if(WITH_RDP)
-    find_package(FreeRDP 2.10)
+    # Workaround https://github.com/FreeRDP/FreeRDP/issues/11072
+    if(CMAKE_SYSTEM_NAME MATCHES "FreeBSD|DragonFly")
+        list(APPEND CMAKE_PREFIX_PATH /usr/local/share/cmake/Modules/FreeRDP3)
+        list(APPEND CMAKE_PREFIX_PATH /usr/local/share/cmake/Modules/FreeRDP-Client3)
+        list(APPEND CMAKE_PREFIX_PATH /usr/local/share/cmake/Modules/WinPR3)
+    endif()
+
+    # Try to find FreeRDP 3, and if not found use FreeRDP 2
+    find_package(FreeRDP 3)
+    if (FreeRDP_FOUND)
+        find_package(WinPR 3)
+        find_package(FreeRDP-Client 3)
+    else()
+        find_package(FreeRDP 2)
+        find_package(WinPR 2)
+        find_package(FreeRDP-Client 2)
+    endif()
+
+    if (NOT FreeRDP_FOUND)
+        MESSAGE(FATAL_ERROR "RDP support is enabled but FreeRDP has not been found.")
+    endif()
+
+    MESSAGE(STATUS "Found FreeRDP version ${FreeRDP_VERSION_MAJOR}.${FreeRDP_VERSION_MINOR}.${FreeRDP_VERSION_REVISION}")
+
     set_package_properties(FreeRDP PROPERTIES
         DESCRIPTION "A free Remote Desktop Protocol (RDP) Implementation"
         URL "https://www.freerdp.com/"
         PURPOSE "FreeRDP provides RDP support"
         TYPE REQUIRED
     )
-    find_package(WinPR 2.10)
     set_package_properties(WinPR PROPERTIES
         DESCRIPTION "Windows Portable Runtime"
         URL "https://www.freerdp.com/"
         PURPOSE "Runtime used by FreeRDP"
         TYPE REQUIRED
     )
-    find_package(FreeRDP-Client 2.10)
     set_package_properties(FreeRDP-Client PROPERTIES
         DESCRIPTION "A free Remote Desktop Protocol (RDP) Implementation, Client libraries"
         URL "https://www.freerdp.com/"
         PURPOSE "FreeRDP provides RDP support"
         TYPE REQUIRED
     )
-    add_subdirectory(rdp)
-elseif(WITH_RDP3)
-    find_package(FreeRDP 3)
-    set_package_properties(FreeRDP PROPERTIES
-        DESCRIPTION "A free Remote Desktop Protocol (RDP) Implementation"
-        URL "https://www.freerdp.com/"
-        PURPOSE "FreeRDP provides RDP support"
-        TYPE REQUIRED
-    )
-    find_package(WinPR 3)
-    set_package_properties(WinPR PROPERTIES
-        DESCRIPTION "Windows Portable Runtime"
-        URL "https://www.freerdp.com/"
-        PURPOSE "Runtime used by FreeRDP"
-        TYPE REQUIRED
-    )
-    find_package(FreeRDP-Client 3)
-    set_package_properties(FreeRDP-Client PROPERTIES
-        DESCRIPTION "A free Remote Desktop Protocol (RDP) Implementation, Client libraries"
-        URL "https://www.freerdp.com/"
-        PURPOSE "FreeRDP provides RDP support"
-        TYPE REQUIRED
-    )
+
     add_subdirectory(rdp)
 endif()
 
@@ -235,6 +233,11 @@
 install(PROGRAMS org.kde.krdc.desktop DESTINATION ${KDE_INSTALL_APPDIR})
 install(FILES org.kde.krdc.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
+ecm_install_icons(
+    ICONS sc-apps-krdc.svg
+    DESTINATION ${KDE_INSTALL_ICONDIR}
+)
+
 find_package(SharedMimeInfo)
 if(SharedMimeInfo_FOUND)
     install(FILES org.kde.krdc-mime.xml DESTINATION ${KDE_INSTALL_MIMEDIR})

=== rdp/CMakeLists.txt ===
add_library(krdc_rdpplugin MODULE)

target_sources(krdc_rdpplugin PRIVATE
    rdpcliprdr.cpp
    rdpgraphics.cpp
    rdphostpreferences.cpp
    rdpviewfactory.cpp
    rdpview.cpp
    rdpsession.cpp
)

ki18n_wrap_ui(krdc_rdpplugin
    rdppreferences.ui
)

ecm_qt_declare_logging_category(krdc_rdpplugin
    HEADER krdc_debug.h
    IDENTIFIER KRDC
    CATEGORY_NAME KRDC
)

target_include_directories(krdc_rdpplugin PUBLIC ${FreeRDP_INCLUDE_DIR} ${WinPR_INCLUDE_DIR})

target_link_libraries(krdc_rdpplugin
    Qt::Core
    Qt::Gui
    KF6::ConfigCore
    KF6::CoreAddons
    KF6::KCMUtils
    KF6::WindowSystem
    KF6::XmlGui
    KF6::KIOWidgets
    Threads::Threads
    krdccore
    freerdp
    freerdp-client
    winpr
)

add_library(kcm_krdc_rdpplugin)

target_sources(kcm_krdc_rdpplugin PRIVATE
    rdppreferences.cpp
)

target_link_libraries(kcm_krdc_rdpplugin
    Qt::Core
    Qt::Gui
    KF6::Wallet
    KF6::ConfigCore
    KF6::CoreAddons
    KF6::KCMUtils
    KF6::XmlGui
    KF6::KIOWidgets
    krdccore
)

if(HAIKU)
    target_link_libraries(kcm_krdc_rdpplugin network)
endif()

add_dependencies(kcm_krdc_rdpplugin krdc_rdpplugin)

install(TARGETS kcm_krdc_rdpplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/krdc/kcms)
install(TARGETS krdc_rdpplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/krdc)

# install(FILES smb2rdc.desktop DESTINATION ${KDE_INSTALL_DATADIR}/kio/servicemenus)

=== debian/changelog ===
krdc (4:25.03.70~git20250114.786409a6-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream git shapshot (25.03.70~git20250114.786409a6).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Jan 2025 23:20:56 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DHAVE_XFREERDP=true
+	dh_auto_configure -- -DWITH_RDP=NO -DWITH_RDP3=YES
 
 execute_after_dh_auto_install:
 	# Drop development files

## krdc 25.03.80

=== debian/changelog ===
krdc (4:25.03.80-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.80).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 25 Mar 2025 18:06:03 +0100

krdc (4:25.03.70~git20250114.786409a6-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Drop configure override to correctly build the RDP support now that
    FreeRDP 3 is the default. (Closes: #1093623)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 20 Jan 2025 15:35:19 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
-               freerdp3-dev,
+               freerdp3-dev (>= 3~),
                gettext,
                libkf6bookmarks-dev (>= 6.0.0~),
                libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6crash-dev (>= 6.0.0~),
+               libkf6doctools-dev,
                libkf6dnssd-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
                libkf6iconthemes-dev (>= 6.0.0~),
@@ -28,10 +29,13 @@
                libplasmaactivities-dev,
                libssh-dev,
                libvncserver-dev (>= 0.9.8.1),
+               libwinpr3-dev (>= 3~),
                pkgconf,
                qt6-base-dev (>= 6.6.0~),
+               qt6-base-private-dev,
                qt6-wayland-dev (>= 6.6.0~),
-Standards-Version: 4.7.0
+               shared-mime-info,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/krdc
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krdc

## krdc 25.03.90

=== debian/changelog ===
krdc (4:25.03.90-0ubuntu1) plucky; urgency=medium

  * Sync changes from Debian unstable. Updating git snapshot to Beta release.
  * New upstream RC release (25.03.90)
  * Add Kubuntu Vcs and mainstainer fileds.

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Mar 2025 14:38:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: krdc
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
@@ -38,8 +39,8 @@
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/krdc
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/krdc
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/krdc.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdc
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/krdc
 
 Package: krdc
 Section: net

## krdc 25.04.2

=== debian/changelog ===
krdc (4:25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.1).
    - RDP: ensure rdpview gets closed on session disconnect. (kde#503176)
    - RDP: Fix passing domain from saved bookmark. (kde#503174)
    - Find Qt6Gui before using Qt6Gui_VERSION.
  * New upstream release (25.04.2).
    - RdpView: avoid multiple startQuitting() calls on the same connection.
    (kde#504622)
    - Fix config names mismatched between Ui and kcfg.
    - Fix parsing of user-supplied host:port preferences for proxy and
    gateway. (kde#504282)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Jun 2025 22:43:43 +0200

krdc (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:45:34 +0200

krdc (4:25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Apr 2025 21:33:59 +0200
